Bug 447289 - ability to install multiple versions of EAP using rpm
ability to install multiple versions of EAP using rpm
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 4
Classification: JBoss
Component: distribution (Show other bugs)
unspecified
All Linux
high Severity medium
: ---
: ---
Assigned To: Fernando Nasser
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 06:53 EDT by Shashin Shinde
Modified: 2008-10-20 11:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 11:04:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shashin Shinde 2008-05-19 06:53:09 EDT
Description of problem:

It is not possible to install multiple versions of JBoss EAP on a single system
using the rpm method. There is a file conflict when trying to install different
versions of EAP rpms.

Version-Release number of selected component (if applicable):

All jbossas rpms distributed via rhn.redhat.com hosted satellite channels.


How reproducible:

Always.

Steps to Reproduce:
1. Try to install different versions of JBoss EAP in parallel on same Linux System.
  
Actual results:

File conflicts.

Expected results:

Should be possible to install multiple versions of JBoss EAP in parallel on same
system using rpm method.


Additional info:
Comment 1 Fernando Nasser 2008-10-20 11:04:29 EDT
Try the -bin subpackage for the additional release.  It will install a tree under /opt for the additional version.  You MUST have a regular jbossas installed.

Check the sysconfig for the fragments installed for the versioned -bin EAP JBoss AS and init.d for the SysV service script.

Note You need to log in before you can comment on or make changes to this bug.